ThreadTest (javadoc for PixTools)
Date: 2012-07-30

gov.fnal.eag.healpix.test

## Class ThreadTest

- java.lang.Object
- - gov.fnal.eag.healpix.test.ThreadTest

-     public class ThreadTest
      extends java.lang.Object

  The thread proof test by Mark Teylor
  Author:
    Mark Taylor

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `private static class` | `ThreadTest.Worker`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static PixTools` | `pixTools`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThreadTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `private static void` | `assertEquals(java.lang.String msg, java.util.List l1, java.util.List l2)`
    `static void` | `main(java.lang.String[] args)`
    `void` | `testPixtools()`
    `private void` | `workPixtools(boolean useThreads)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pixTools

          private static PixTools pixTools

  - ### Constructor Detail

    - #### ThreadTest

          public ThreadTest()

  - ### Method Detail

    - #### testPixtools

          public void testPixtools()
                            throws java.lang.InterruptedException

      Throws:
        `java.lang.InterruptedException`

    - #### workPixtools

          private void workPixtools(boolean useThreads)
                             throws java.lang.InterruptedException

      Throws:
        `java.lang.InterruptedException`

    - #### assertEquals

          private static void assertEquals(java.lang.String msg,
                          java.util.List l1,
                          java.util.List l2)

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.InterruptedException

      Throws:
        `java.lang.InterruptedException`